Subject: Re: [PATCH] e1000: Work around 82571 completion timout on Pseries HW

From: Christoph Hellwig <[email-masked]>
Date: Sat, 23 Jun 2007 09:20:03 +0100

On Thu, May 17, 2007 at 09:58:03AM -0500, Wen Xiong wrote:
> >>It really shouldn't be there at all because something in either the 
> intel
> >>or pseries hardware is totally buggy and we should disable features in
> >>the buggy one completely.
> 
> Hi,
> 
> Here there are not hardware issue on both Intel or PPC.  The patch is to 
> work around a loop hold on early version of PCI SGI spec. 
> The later PCI Sgi have spec have corrected it.  We can just implement it 
> for PPC only.  Other vendor may have the same issue.

In this case we should add a blacklist for implementations of the old
spec.  There should be a way to find specific bridges in the OF firmware
tree on powerpc and similar things on other platforms aswell.

-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/